Subject: bug#8789: 23.3; debug backtrace buffer changes window on step-through

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Sep 2012 23:52:01 +0300

> From: "Drew Adams" <[email-masked]>
> Date: Thu, 20 Sep 2012 13:34:07 -0700
> 
> 3. But I also think that it should be enough, for this problematic mode line
> enhancement, to simply call a duplicate of `file-remote-p' and not
> `file-remote-p' itself, which is used by all kinds of code.
> 
> If that duplicate (e.g., `mode-line-file-remote-p') is called only by the
> mode-line code then that should greatly reduce, if not eliminate, this problem
> for the debugger.

This has 2 problems, at least:

 . what if I need to debug mode-line-file-remote-p?

 . what about calling Lisp from display features other than the mode
   line, such as tool-bar buttons and menu items?

In general, I think this is a slippery slope: before long we will be
duplicating many important functions, and we will have to enforce some
kind of coding standards whereby redisplay features cannot call
"ordinary" functions.  I think this is absurd.